@clr-main: #c0301c;
@clr-font1: #555555;
@clr-font2: #777777;
@clr-font3: #ffffff;

@font-family1: 'Montserrat', sans-serif;
@font-family2: 'Roboto Slab', serif;;


//@mixin
.font-style(@size; @clr; @family){
  font-family: @family;
  font-size: @size;
  color: @clr;
}

.btn(@size; @f-family; @clr; @padding1; @padding2; @b-size){
  font-family: @f-family;
  font-size: @size;
  color: @clr;
  padding: @padding1 @padding2;
  border: @b-size solid @clr;
  text-transform: uppercase;
  transition: color .25s, background-color .25s, border-bottom-color .25s;
}

.hover-btn(@f-clr; @b-clr){
  color: @f-clr;
  background-color: @b-clr;
  border-color: @b-clr;
}

//common properties
html{
  font-size: 10px;
}

.container{
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 10rem;
}

section{
  padding: 10rem 0;
}

.title{
  text-align: center;
  h2{
    .font-style(2rem; @clr-font1; @font-family1);
    text-transform: uppercase;
    &::after{
      content: "";
      display: block;
      width: 50px;
      height: 2px;
      margin: 3rem auto;
      background-color: @clr-font1;
    }
  }
  p{
    .font-style(1.6rem; @clr-font1; @font-family2);
    margin-bottom: 7rem;
  }
}



      /*==========HEADER==========*/
#header{
  position: fixed;
  width: 100%;
  z-index: 100;
  .font-style(1.4rem; @clr-font3; @font-family1);
  .wrap-header{
    padding: 4rem 0;
  }
  .wrap{
    display: flex;
    justify-content: space-between;
    align-items: center;
    .main-nav ul li{
      display: inline;
      margin-right: 3rem;
      padding: .5rem .25rem;
      border-bottom: 1px solid transparent;
      transition: border-color .25s;
      &:hover{
        border-color: @clr-font3;
      }
    }
    .logo{
      font-weight: 700;
      font-size: 2.4rem;
    }
  }
}

//menu-fixed
#header .menu-fixed{
  background-color: @clr-font3;
  color: @clr-font1;
  padding: 2rem 0;
  .main-nav ul li{
    &:hover{
      border-color: @clr-font1;
    }
  }

}

      /*==========HOME==========*/
#home{
  background: url("../img/bgrHome-min.jpg");
  padding: 32rem 0 26rem;
  text-align: center;
  h1{
    .font-style(4.8rem; @clr-font3;@font-family1);
    text-transform: uppercase;
  }
  p{
    .font-style(2rem; @clr-font3; @font-family2);
    margin: 3rem 0 5rem;
  }
  .btn{
    .btn(1.6rem; @font-family1; @clr-font3; 2rem; 4.5rem; 3px);
    &:hover{
      .hover-btn(@clr-main; @clr-font3);
    }
  }

}

      /*==========SERVICES==========*/
#services {
  .services-items{
    display: flex;
    justify-content: space-between;
    text-align: center;
    .font-style(1.4rem; @clr-font1; @font-family2);
    .item-block{
      flex-basis: 32%;
      .icon{
        margin: 0 auto;
        width: 85px;
        height: 85px;
        border: 2px solid #dedede;
        border-radius: 50%;
        color: @clr-main;
        transition: border-color .25s, background-color .25s, color .25s;
        &:hover{
          border-color: @clr-main;
          background-color: @clr-main;
          color: @clr-font3
        }
      }
      h3{
        font-family: @font-family1;
        text-transform: uppercase;
        margin: 3.5rem 0 3rem;
      }
      p{

      }
    }
  }
}

      /*==========ABOUT US==========*/
#about{
  background-color: #f8f8f8;
}